from setuptools import setup, find_packages

name = "erp5.recipe.mysqldatabase"
version = '1.0.3'

def read(name):
    return open(name).read()

long_description=( read('README.txt')
                   + '\n' +
                   read('CHANGES.txt')
                 )

setup(
    name = name,
    version = version,
    author = "Nexedi",
    author_email = "info@nexedi.com",
    description = "ZC Buildout recipe for create a mysql database",
    long_description=long_description,
    license = "ZPL 2.1",
    keywords = "mysql database buildout",
    classifiers=[
        "License :: OSI Approved :: Zope Public License",
        "Framework :: Buildout",
        ],
    packages = find_packages('src'),
    package_dir = {'': 'src'},
    install_requires = ['zc.recipe.egg',
      # 'MySQL-python' disabled, as is being installed even if available
      ],
    extras_require=dict(
      standalone=['MySQL-python'],
      ),
    namespace_packages = ['erp5', 'erp5.recipe'],
    entry_points = {'zc.buildout': ['default = %s:Recipe' % name]},
    )
